curl --request GET \
--url https://app.scrapeautomate.com/api/scraperimport requests
url = "https://app.scrapeautomate.com/api/scraper"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.scrapeautomate.com/api/scraper', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": "Workflow is archived!"
}{
"error": "Insufficient credits to make the request."
}{
"error": "API Key is required!"
}{
"error": "Workflow not found!"
}Scraper Endpoint
Handles scraping requests with optional rendering, screenshots, and workflow support.
Query Parameters
API key for authentication.
"your-api-key"
The URL to scrape.
"https://example.com"
Indicates if rendering is required.
true
The height of the browser window.
800
The width of the browser window.
1200
If set to true, captures a screenshot of the page.
false
If set to true, captures a full-page screenshot.
false
Workflow ID to use pre-configured settings.
"workflow-12345"
Comma-separated list of resources to block (e.g., images, css).
"images,css"
If set to true, will return the website in an markdown format.
"true"
Used for blocking ads from appearing
"true"
Used for blocking ads from cookie banners from appearing
"true"
Used for blocking chat widgets from appearing
"true"
URL to send the scraping response to via webhook.
"https://webhook.site/12345"
Type of proxy to use for the request.
"residential"
Country code for the proxy location.
"US"
Array of instructions for browser automation in an encoded json, keep in mind to send it stringified in the url
"[{\"wait\":\"#element\"},{\"fill\":{\"selector\":\"#input\",\"text\":\"hello\",\"delay\":1000}},{\"click\":\"#submit\"},{\"delay\":2000}]"
Response
Scraping request completed successfully.
The response is of type string.